Skip to content

Get Closed Futures Positions Detail​

GET
/v1/positions/closed

Returns a detailed view of the closed futures positions for an account, including pair, side, quantity, realised PnL, close type (Trade, Liquidation, Adl), close price, session average entry price, created timestamp, fees, and position ID.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

currencyPair

The name of the perpetual futures contract (e.g., BTCUSDTPERP)

Type
string
skip

Skip this number of results (default 0)

Type
integer
Format
"int32"
limit

Limit the results to this number (default and max 100)

Type
integer
Format
"int32"

Responses​

Closed futures positions detail retrieved successfully

application/json
JSON
[
{
"currencyPair": "USDTZARPERP",
"orderSide": "buy",
"quantity": "40",
"averageEntryPrice": "19.01",
"closePrice": "19",
"realisedPnl": "-1.160201",
"closeType": "Trade",
"createdAt": "2023-11-14T19:51:49.988Z",
"fees": "0.760201",
"positionId": "046f52a0-758c-6ec8-28a9-03fe7b0b51bc"
}
]

Playground​

Authorization
Variables
Key
Value

Samples​